import auth from './auth'
import noticeBtnAuth from './notice-btn-auth'
import longpress from './longpress'

const directives: anyObj = {
  auth,
  noticeBtnAuth,
  longpress,
}
export default {
  install(Vue: anyObj) {
    Object.keys(directives).forEach(key => {
      Vue.directive(key, directives[key])
    })
  },
}
